| Home | Libraries | People | FAQ | More

##### url_base::set_host_ipvfuture

Set the host to an address.

###### Synopsis

    url_base&
    set_host_ipvfuture(
        core::string_view s);

###### Description

The host is set to the specified IPvFuture string. The host type is `host_type::ipvfuture`.

###### Example

    assert( url().set_host_ipvfuture( "v42.bis" ).buffer() == "//[v42.bis]" );

###### Complexity

Linear in `this->size() + s.size()`.

###### Postconditions

    this->has_authority() == true && this->host_ipvfuture) == s && this->host_type() == host_type::ipvfuture

###### Exception Safety

Strong guarantee. Calls to allocate may throw. Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `s` contains an invalid percent-encoding.

###### Parameters

Name | Description
--- | ---
`s` | The string to set.

###### BNF

    IPvFuture     = "v" 1*HEXDIG "." 1*( unreserved / sub-delims / ":" )

###### Specification

- 3.2.2. Host (rfc3986)

###### See Also

`set_encoded_host`, `set_encoded_host_address`, `set_encoded_host_name`, `set_host`, `set_host_address`, `set_host_ipv4`, `set_host_ipv6`, `set_host_name`.